%global artifactId javax.servlet.jsp-api
%global jspspec 2.2
%global reltag b01


Name:       glassfish-jsp-api
Version:    2.3.2
Release:    %mkrel 0.3.%{reltag}.2
Group:      Development/Java

Summary:    Glassfish J2EE JSP API specification

License:    (CDDL or GPLv2 with exceptions) and ASL 2.0
URL:        http://java.net/jira/browse/JSP
Source0:    %{artifactId}-%{version}-%{reltag}.tar.xz
# no source releases, but this will generate tarball for you from an
# SVN tag
Source1:    generate_tarball.sh
Source2:    http://www.apache.org/licenses/LICENSE-2.0.txt
Source3:    http://hub.opensolaris.org/bin/download/Main/licensing/cddllicense.txt

BuildArch:  noarch

BuildRequires:  maven-local
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven-source-plugin
BuildRequires:  jvnet-parent
BuildRequires:  mvn(javax.servlet:javax.servlet-api)
BuildRequires:  mvn(javax.el:javax.el-api)

%description
This project provides a container independent specification of JSP
2.2. Note that this package doesn't contain implementation of this
specification. See glassfish-jsp for one of implementations

%package javadoc
Summary:        API documentation for %{name}
BuildArch:      noarch

%description javadoc
%{summary}.

%prep
%setup -q -n %{artifactId}-%{version}-%{reltag}
cp -p %{SOURCE2} LICENSE
cp -p %{SOURCE3} cddllicense.txt

# Submited upstream: http://java.net/jira/browse/JSP-31
sed -i "/<bundle.symbolicName>/s/-api//" pom.xml

%pom_xpath_remove "pom:dependency[pom:groupId='javax.el' or pom:groupId='javax.servlet']/pom:scope"

# javadoc generation fails due to strict doclint in JDK 8
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE cddllicense.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE cddllicense.txt




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.3.2-0.3.b01.2.mga6
+ Revision: 982415
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.3.2-0.3.b01.1.mga6
+ Revision: 976294
- sync package glassfish-jsp-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.1-3.mga5
+ Revision: 749250
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 2.3.1-1.mga5
+ Revision: 630464
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 2.2.1-5.mga4
+ Revision: 486567
- Build with xmvn

* Sat Jul 13 2013 dmorgan <dmorgan> 2.2.1-4.mga4
+ Revision: 453765
- Change buildrequire to maven-local

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-3.mga3
+ Revision: 351748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 2.2.1-2.mga3
+ Revision: 325939
- Change OSGi Bundle-SymbolicName to better match Eclipse needs
- Update URL
- Resolves: rhbz#868169

* Sun Jul 01 2012 dmorgan <dmorgan> 2.2.1-1.mga3
+ Revision: 266428
- imported package glassfish-jsp-api


* Wed Mar 21 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2.1-1
- Initial version of the package
